package com.lqkj.common.utils.poi.model;


import com.lqkj.common.utils.poi.ImageUtil;

public class ImageEntity {

    /**
     * 图片宽度
     */
    private int width = 400;

    /**
     * 图片高度
     */
    private int height = 300;

    /**
     * 图片地址
     */
    private String url;

    /**
     * 图片类型
     */
    private ImageUtil.ImageType typeId = ImageUtil.ImageType.PNG;

    /**
     * 是否是文字环绕类型，默认false
     */
    private boolean isAnchor = false;
    /**
     * 图片对其方式：left center right
     */
    private String align = "right";
    /**
     * 图片置于文字下方
     */
    private boolean behind = true;

    public int getWidth() {
        return width;
    }

    public void setWidth(int width) {
        this.width = width;
    }

    public int getHeight() {
        return height;
    }

    public void setHeight(int height) {
        this.height = height;
    }

    public String getUrl() {
        return url;
    }

    public void setUrl(String url) {
        this.url = url;
    }

    public ImageUtil.ImageType getTypeId() {
        return typeId;
    }

    public void setTypeId(ImageUtil.ImageType typeId) {
        this.typeId = typeId;
    }

    public boolean isAnchor() {
        return isAnchor;
    }

    public void setAnchor(boolean anchor) {
        isAnchor = anchor;
    }

    public String getAlign() {
        return align;
    }

    public void setAlign(String align) {
        this.align = align;
    }

    public boolean isBehind() {
        return behind;
    }

    public void setBehind(boolean behind) {
        this.behind = behind;
    }
}
