package com.lqkj.info.entity;


import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.lqkj.common.annotation.Excel;
import com.lqkj.common.core.model.BaseEntity;

/**
 * 园区对象对象 park_info
 *
 * @author lqkj
 * @date 2024-12-16
 */
public class ParkInfo extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 园区id */
    private Integer parkId;

    /** 园区名称 */
    @Excel(name = "园区名称")
    private String parkName;

    /** 坐标 */
    @Excel(name = "坐标")
    private String location;

    /** 备注 */
    @Excel(name = "备注")
    private String memo;

    public void setParkId(Integer parkId)
    {
        this.parkId = parkId;
    }

    public Integer getParkId()
    {
        return parkId;
    }
    public void setParkName(String parkName)
    {
        this.parkName = parkName;
    }

    public String getParkName()
    {
        return parkName;
    }
    public void setLocation(String location)
    {
        this.location = location;
    }

    public String getLocation()
    {
        return location;
    }
    public void setMemo(String memo)
    {
        this.memo = memo;
    }

    public String getMemo()
    {
        return memo;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("parkId", getParkId())
            .append("parkName", getParkName())
            .append("location", getLocation())
            .append("memo", getMemo())
            .toString();
    }
}
