package com.lqkj.ioc.mapper;

import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;
import org.apache.ibatis.annotations.Select;

@Mapper
public interface TrafficSystemMapper {

    @Select("SELECT count(*) FROM traffic_info WHERE type_id =#{type_id}")
    int countTrafficByTypeId(@Param("type_id") int type_id);


    @Select("SELECT count(*) FROM traffic_info ti " +
            "LEFT JOIN station_info si ON ti.traffic_id = si.traffic_id " +
            "WHERE ti.type_id =#{type_id}"
    )
    int countStationByTypeId(@Param("type_id") int type_id);
}
