package com.lqkj.ioc.service;


import com.lqkj.ioc.mapper.SecurityPerceptionMapper;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;
import java.util.Map;

@Service
public class SecurityPerceptionService {

    @Autowired
    private SecurityPerceptionMapper securityPerceptionMapper;


    public List<Map<String, Object>> getElevatorBasicInfo(Integer parkId) {

        return securityPerceptionMapper.getElevatorBasicInfo(parkId);
    }

    public List<Map<String, Object>> getElevatorRepairStats(Integer parkId) {

        return securityPerceptionMapper.getElevatorRepairStats(parkId);
    }

    public List<Map<String, Object>> elevatorAlarmDistribution(Integer parkId) {

        return securityPerceptionMapper.elevatorAlarmDistribution(parkId);
    }

    public List<Map<String, Object>> countChargingStationBrands() {
        return securityPerceptionMapper.countChargingStationBrands();
    }
}
