package com.lqkj.ioc.service;


import com.lqkj.ioc.mapper.SmartParkMapper;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;
import java.util.Map;

@Service
public class SmartParkService {

    @Autowired
    private SmartParkMapper smartParkMapper;


    public List<Map<String,Object>> addParkNewTenant(Integer parkId) {
        return smartParkMapper.addParkNewTenant(parkId);
    }

    public List<Map<String,Object>> getParkFireProtectionInfo(Integer parkId) {
        return smartParkMapper.getParkFireProtectionInfo(parkId);
    }
}
