package com.lqkj.info.entity;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.lqkj.common.annotation.Excel;
import com.lqkj.common.core.model.BaseEntity;

/**
 * 交通对象对象 traffic_info
 * 
 * @author lqkj
 * @date 2024-11-14
 */
public class TrafficInfo extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 交通id */
    private Integer trafficId;

    /** 类别 */
    @Excel(name = "类别")
    private Integer typeId;

    /** 名字 */
    @Excel(name = "名字")
    private String trafficName;

    /** 数量 */
    @Excel(name = "数量")
    private Integer amount;

    /** 备注 */
    private String memo;

    /** 颜色 */
    @Excel(name = "颜色")
    private String colour;


    /** 坐标 */
    private Object location;

    public void setTrafficId(Integer trafficId) 
    {
        this.trafficId = trafficId;
    }

    public Integer getTrafficId() 
    {
        return trafficId;
    }
    public void setTypeId(Integer typeId) 
    {
        this.typeId = typeId;
    }

    public Integer getTypeId() 
    {
        return typeId;
    }
    public void setTrafficName(String trafficName) 
    {
        this.trafficName = trafficName;
    }

    public String getTrafficName() 
    {
        return trafficName;
    }
    public void setAmount(Integer amount) 
    {
        this.amount = amount;
    }

    public Integer getAmount() 
    {
        return amount;
    }
    public void setMemo(String memo) 
    {
        this.memo = memo;
    }

    public String getMemo() 
    {
        return memo;
    }
    public void setColour(String colour) 
    {
        this.colour = colour;
    }

    public String getColour() 
    {
        return colour;
    }

    public void setLocation(Object location)
    {
        this.location = location;
    }

    public Object getLocation()
    {
        return location;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("trafficId", getTrafficId())
            .append("typeId", getTypeId())
            .append("trafficName", getTrafficName())
            .append("amount", getAmount())
            .append("memo", getMemo())
            .append("colour", getColour())
            .append("location", getLocation())
            .toString();
    }
}