package com.lqkj.ioc.entity;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.lqkj.common.annotation.Excel;
import com.lqkj.common.core.model.BaseEntity;

/**
 * 综合分析对象 synthesis_analyze
 * 
 * @author lqkj
 * @date 2024-11-18
 */
public class SynthesisAnalyze extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** id */
    @Excel(name = "id")
    private Integer id;

    /** 发展定位 */
    @Excel(name = "发展定位")
    private String orientation;

    /** 红利政策 */
    @Excel(name = "红利政策")
    private String bonusPolicy;

    /** 规划蓝图 */
    @Excel(name = "规划蓝图")
    private String planningLayout;

    /** 宣传视频 */
    private String audioUrl;

    public void setId(Integer id) 
    {
        this.id = id;
    }

    public Integer getId() 
    {
        return id;
    }
    public void setOrientation(String orientation) 
    {
        this.orientation = orientation;
    }

    public String getOrientation() 
    {
        return orientation;
    }
    public void setBonusPolicy(String bonusPolicy) 
    {
        this.bonusPolicy = bonusPolicy;
    }

    public String getBonusPolicy() 
    {
        return bonusPolicy;
    }
    public void setPlanningLayout(String planningLayout) 
    {
        this.planningLayout = planningLayout;
    }

    public String getPlanningLayout() 
    {
        return planningLayout;
    }
    public void setAudioUrl(String audioUrl) 
    {
        this.audioUrl = audioUrl;
    }

    public String getAudioUrl() 
    {
        return audioUrl;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("orientation", getOrientation())
            .append("bonusPolicy", getBonusPolicy())
            .append("planningLayout", getPlanningLayout())
            .append("audioUrl", getAudioUrl())
            .toString();
    }
}