package com.lqkj.ioc.mapper;


import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Select;

import java.util.Map;

/**
 *
 */
@Mapper
public interface EconomicDevelopmentMapper {

    @Select("WITH t1 AS ( SELECT SUM( acreage ) AS total_acreage FROM area_info )," +
            "t2 AS ( SELECT SUM( employe_num ) AS total_employees, COUNT( 1 ) AS org_count FROM organization_info ) " +
            "SELECT t1.total_acreage, t2.total_employees, t2.org_count FROM t1, t2;"
    )
    Map<String, Object> businessSupport();
}
