package com.lqkj.ioc.service;


import com.lqkj.ioc.mapper.TrafficSystemMapper;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.HashMap;
import java.util.Map;

@Service
public class TrafficSystemService {

    @Autowired
    private TrafficSystemMapper trafficSystemMapper;


    public Map publicTransportRes() {
        HashMap<String, Object> result = new HashMap<>();
        result.put("地铁线路", trafficSystemMapper.countTrafficByTypeId(1));
        result.put("地铁站点", trafficSystemMapper.countStationByTypeId(1));
        result.put("公交线路", trafficSystemMapper.countTrafficByTypeId(2));
        return result;
    }
}
