package com.lqkj.supporting.entity;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.lqkj.common.annotation.Excel;
import com.lqkj.common.core.model.BaseEntity;

/**
 * 资源类型对象 resources_type
 *
 * @author lqkj
 * @date 2025-05-07
 */
public class ResourcesType extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 类型ID */
    private Integer typeId;

    /** 类型名称 */
    @Excel(name = "类型名称")
    private String typeName;

    /** 类型分类 */
    @Excel(name = "类型分类")
    private String typeLabel;

    /** 类型图标 */
    @Excel(name = "类型图标")
    private String icon;

    /** 排序：order_id */
    @Excel(name = "排序：order_id")
    private Integer orderId;

    /** 备注 */
    @Excel(name = "备注")
    private String memo;

    public void setTypeId(Integer typeId)
    {
        this.typeId = typeId;
    }

    public Integer getTypeId()
    {
        return typeId;
    }
    public void setTypeName(String typeName)
    {
        this.typeName = typeName;
    }

    public String getTypeName()
    {
        return typeName;
    }
    public void setTypeLabel(String typeLabel)
    {
        this.typeLabel = typeLabel;
    }

    public String getTypeLabel()
    {
        return typeLabel;
    }
    public void setIcon(String icon)
    {
        this.icon = icon;
    }

    public String getIcon()
    {
        return icon;
    }
    public void setOrderId(Integer orderId)
    {
        this.orderId = orderId;
    }

    public Integer getOrderId()
    {
        return orderId;
    }
    public void setMemo(String memo)
    {
        this.memo = memo;
    }

    public String getMemo()
    {
        return memo;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("typeId", getTypeId())
            .append("typeName", getTypeName())
            .append("typeLabel", getTypeLabel())
            .append("icon", getIcon())
            .append("orderId", getOrderId())
            .append("memo", getMemo())
            .toString();
    }
}
