package com.lqkj.system.websocket.task;

import com.lqkj.system.websocket.ServerWebSocket;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.scheduling.annotation.Scheduled;
import org.springframework.stereotype.Component;

/**
 * 定时任务推送服务器信息
 */
@Component("serverWebSocketTask")
public class ServerWebSocketTask {
    @Autowired
    private ServerWebSocket serverWebSocket;
    @Scheduled(cron = "0/2 * * * * ?")
    public void startJob(){
        serverWebSocket.sendMessage();
    }
}
